package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/DCFlagSetAmountAction.class */
public class DCFlagSetAmountAction extends LifeAction {
    private String arrayList;

    public String execute(Context context) throws GENEException {
        try {
            IndexedCollection icoll = context.getDataElement(this.arrayList);
            if (icoll.size() == 0) {
                return "1";
            }
            for (int i = 0; i < icoll.size(); i++) {
                KeyedCollection kColl = (KeyedCollection) icoll.get(i);
                String flag = (String) kColl.getDataValue("DCFlag");
                String amt = (String) kColl.getDataValue("Amount");
                if (StringUtils.equals(flag, "2")) {
                    kColl.setDataValue("inputAmt", amt);
                } else if (StringUtils.equals(flag, "1")) {
                    kColl.setDataValue("outputAmt", amt);
                }
            }
            return "0";
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw empe;
        }
    }

    public String getArrayList() {
        return this.arrayList;
    }

    public void setArrayList(String arrayList) {
        this.arrayList = arrayList;
    }
}
